Skip to main content
GET
/
socials
/
accounts
/
{id}
/
analytics
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.socials.accountAnalytics({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "account_id": "sacct_abc123",
  "platform": "twitter",
  "analytics": {
    "followers": 12450,
    "following": 843,
    "total_posts": 156,
    "impressions_30d": 84200,
    "engagements_30d": 5320,
    "engagement_rate": 6.32
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

Resource ID (prefix_id)

Response

Account analytics

account_id
string
required
platform
string
required
analytics
object

Normalized analytics, or null when unavailable. Fields are omitted when a platform does not expose them.